/**
 *
 */

package org.objectweb.util.monolog.wrapper.common;

import org.objectweb.util.monolog.api.MonologFactory;

/**
 * This interface permits to configure an monolog wrapper with parameters
 * transmitted by a Properties. This interface defines also some common constant
 * to initialize the wrapper.
 *
 * @deprecated the use of this interface must be replaced by the use of the
 * MonologFactory interface. This interface is kept for the backward
 * compatibility.
 *
 * @author Sebastien Chassande-Barrioz
 */
public interface Configurable extends MonologFactory {

}
